package net.wanji.opt.service;

import net.wanji.opt.bo.*;
import net.wanji.opt.vo.*;

import java.util.List;

public interface MainlineEvaluateService {

    List<String> bottomMenu(BottomMenuBO bo);

    List<MainlineEvaluateBottomCurveVO> bottomCurve(BottomCurveBO bo) throws Exception;

    List<MainlineListVO> mainlineList();

    MainlineSchemeAnalysisVO mainlineSchemeAnalysis(MainlineSchemeAnalysisBO bo) throws Exception;

    MainlineSchemeEvaluateVO mainlineSchemeEvaluate(MainlineSchemeEvaluateBO bo);

    List<MainlineCrossEvaluateVO> mainlineCrossEvaluate(MainlineCrossEvaluateBO bo);
}
